jQuery(function($){


    var processed_burgers = new Array();
    $.getJSON("http://api.ldev.no/fetch.php?application=roadtriplol&key=burgers_total&timeframe=1000000000&starting_point=1457913034", function(data){
        //console.log(data.data.burgers_total);
        // Populate series
        var sum = 0;
        $.each(data.data.burgers_total, function(key, val){
            processed_burgers.push([key*1000, parseFloat(val)]);
            sum += Number(val);
        });
        $('.burgers').text(sum);
        $('#burgers-total').highcharts({
            chart: {
                type: "spline"
            },
            title: {
                text: "Burgers eaten"
            },
            credits: {
                enabled: false
            },
            xAxis: {
                type: 'datetime',
                title: {
                    text: ""
                }
            },
            yAxis: {
                title: {
                    text: "Burges"
                }
            },
            series: [{
                name: 'Burgers',
                data: processed_burgers
            }]
        });
    //    console.log(processed_burgers);
    });

    var processed_inside = new Array();
    var processed_outside = new Array();
    $.getJSON("http://api.ldev.no/?application=roadtriplol&key=esp_temp_t67108931&timeframe=1000000000&starting_point=1457913034", function(data){
        $.each(data.data.esp_temp_t67108931, function(key, val){
            processed_inside.push([key*1000, parseFloat(val)]);
        });
    }).done(function(data){
        $.getJSON("http://api.ldev.no/?application=roadtriplol&key=esp_temp_t83886168&timeframe=1000000000&starting_point=1457913034", function(data){
            $.each(data.data.esp_temp_t83886168, function(key, val){
                processed_outside.push([key*1000, parseFloat(val)]);
            });
        }).done(function(data){
            $('#temp-total').highcharts({
                chart: {
                    type: "spline"
                },
                title: {
                    text: "Mats, you are drunk. This is temperature, not beer."
                },
                credits: {
                    enabled: false
                },
                xAxis: {
                    type: 'datetime',
                    title: {
                        text: ""
                    }
                },
                yAxis: {
                    title: {
                        text: "Temp"
                    }
                },
                plotOptions: {
            series: {
                marker: {
                    enabled: false
                }
            }
        },
                series: [{
                    name: 'Temperature inside',
                    data: processed_inside
                },{
                    name: 'Temperature outside',
                    data: processed_outside
                }]
            });
        });
    });


    var processed_gas = new Array();
    $.getJSON("http://api.ldev.no/fetch.php?application=roadtriplol&key=gas_prices&timeframe=1000000000&starting_point=1457913034", function(data){
        //console.log(data.data.burgers_total);
        // Populate series
        var sum = 0;
        $.each(data.data.gas_prices, function(key, val){
            processed_gas.push([key*1000, parseFloat(val)]);
           sum += Number(val);

        });
        console.log(sum.toFixed(2))
        console.log(processed_gas);
        $('.gas-total').text(sum.toFixed(2));
        $('#gas-total').highcharts({
            chart: {
                type: "spline"
            },
            title: {
                text: "Money used on gasolina"
            },
            credits: {
                enabled: false
            },
            xAxis: {
                type: 'datetime',
                title: {
                    text: ""
                }
            },
            yAxis: {
                title: {
                    text: "Gasoolina"
                }
            },
            series: [{
                name: 'Gasooolina',
                data: processed_gas
            }]
        });
    //    console.log(processed_burgers);
    });

    $.getJSON("http://api.ldev.no/?application=roadtriplol&key=gas_filled_litres&timeframe=1000000000&starting_point=1457913034", function(data){
        var gas_filled = 0;
        $.each(data.data.gas_filled_litres, function(key, val){
            gas_filled += Number(val);
        });
        $('.gas-filled').text(gas_filled.toFixed(2));
    });
    $.getJSON("http://api.ldev.no/fetch.php?application=roadtriplol&key=gas_km_per_liter&last", function(data){
    var gas_per_km;
    $.each(data.data[0].gas_km_per_liter, function(key, val){
        console.log(val);
        gas_per_km = val;
    });
        console.log(gas_per_km);
        $('.gas-per-km').text(gas_per_km);
    });
    var processed_mb = new Array();
    $.getJSON("http://api.ldev.no/?application=roadtriplol&key=data_mb_used&last", function(data){
        var sum = 0;
        $.each(data.data[0].data_mb_used, function(key, val){
            processed_mb = val;
        });
        $(".data_mb_used").text(processed_mb);
    });


    var processed_beers_total = new Array();
    var processed_beers_types = new Array();
    var processed_beers_liters = new Array();
    $.getJSON("http://api.ldev.no/?application=roadtriplol&key=beers_types&timeframe=1000000000&starting_point=1457913034", function(data){
        var beer_types = 0;
        $.each(data.data.beers_types, function(key, val){
            processed_beers_types.push([key*1000, parseFloat(val)+beer_types]);
            beer_types += parseFloat(val);
        });
    }).done(function(data){
        $.getJSON("http://api.ldev.no/?application=roadtriplol&key=beers_liters&timeframe=1000000000&starting_point=1457913034", function(data){
            var beer_liter = 0;
            $.each(data.data.beers_liters, function(key, val){
                processed_beers_liters.push([key*1000, parseFloat(val)+beer_liter]);
                beer_liter += parseFloat(val);
            });
        });
    }).done(function(data){
        $.getJSON("http://api.ldev.no/?application=roadtriplol&key=beers_total&timeframe=1000000000&starting_point=1457913034", function(data){
            var sum = 0;
            var beer_total = 0;
            $.each(data.data.beers_total, function(key, val){
                processed_beers_total.push([key*1000, parseFloat(val)+beer_total]);
                beer_total += parseFloat(val);
                sum += Number(val);
            });
            $('.beers-total').text(sum);
        }).done(function(data){
            $('#beers-total').highcharts({
                chart: {
                    type: "spline"
                },
                title: {
                    text: "Mats, you are drunk. This is beer, not temperature."
                },
                credits: {
                    enabled: false
                },
                xAxis: {
                    type: 'datetime',
                    title: {
                        text: ""
                    }
                },
                yAxis: {
                    title: {
                        text: "Beers"
                    }
                },
                plotOptions: {
            series: {
                marker: {
                    enabled: false
                }
            }
        },
                series: [{
                    name: 'Beers types',
                    data: processed_beers_types
                },{
                    name: 'Beers total',
                    data: processed_beers_total
                },
                {
                    name: 'Beers liter',
                    data: processed_beers_liters
                }]
            });
        });
    });
    var processed_matches_sjur = new Array();
    var processed_matches_mats = new Array();
    var sum_mats = 0;
    var sum_sjur = 0;
    $.getJSON("http://api.ldev.no/?application=roadtriplol&key=tinder_mats&timeframe=1000000000&starting_point=1457913034", function(data){
            var tinder_mats_prev = 0; // Will count upwards
            $.each(data.data.tinder_mats, function(key, val){
                processed_matches_mats.push([key*1000, parseFloat(val)+tinder_mats_prev]);
                sum_mats += Number(val);
                tinder_mats_prev += parseFloat(val);
            });
        }).done(function(data){
            $.getJSON("http://api.ldev.no/?application=roadtriplol&key=tinder_sjur&timeframe=1000000000&starting_point=1457913034", function(data){
            var tinder_sjur_prev = 0; // Will count upwards
                $.each(data.data.tinder_sjur, function(key, val){
                    processed_matches_sjur.push([key*1000, parseFloat(val)+tinder_sjur_prev]);
                    tinder_sjur_prev += parseFloat(val);
                    sum_sjur += Number(val);
                });
                $('.tinder-matches').text(sum_mats+sum_sjur);
                console.log(sum_mats+sum_sjur);
        }).done(function(data){
            $('#tinder-total').highcharts({
                chart: {
                    type: "spline"
                },
                title: {
                    text: "Tindermatches"
                },
                credits: {
                    enabled: false
                },
                xAxis: {
                    type: 'datetime',
                    title: {
                        text: ""
                    }
                },
                yAxis: {
                    title: {
                        text: "Matches"
                    }
                },
                plotOptions: {
            series: {
                marker: {
                    enabled: false
                }
            }
        },
                series: [{
                    name: 'Matches Mats',
                    data: processed_matches_mats
                },{
                    name: 'Matches Sjur',
                    data: processed_matches_sjur
                }]
            });
        });
    });

    var processed_elevation = new Array();
    $.getJSON("http://api.ldev.no/fetch.php?application=roadtriplol&key=gps_alt&timeframe=1000000000&starting_point=1457913034", function(data){
        $.each(data.data.gps_alt, function(key, val){
            processed_elevation.push([key*1000, parseFloat(val)]);
        });
        $('#elevation').highcharts({
            chart: {
                type: "spline"
            },
            title: {
                text: "Elevation"
            },
            credits: {
                enabled: false
            },
            xAxis: {
                type: 'datetime',
                title: {
                    text: ""
                }
            },
            yAxis: {
                title: {
                    text: "Elevation"
                }
            },
            series: [{
                name: 'Elevation',
                data: processed_elevation
            }]
        });
    //    console.log(processed_burgers);
    });
    var processed_odometer = new Array();
    $.getJSON("http://api.ldev.no/fetch.php?application=roadtriplol&key=distance_km_on_odometer&timeframe=1000000000&starting_point=1457913034", function(data){
        var odometerDistance = 0;
        $.each(data.data.distance_km_on_odometer, function(key, val){
            processed_odometer.push([key*1000, parseFloat(val)]);
            odometerDistance += Number(val);
        });

        $('.drivenkm').text(odometerDistance.toFixed(2));
        $('#odometer').highcharts({
            chart: {
                type: "spline"
            },
            title: {
                text: "Odometer"
            },
            credits: {
                enabled: false
            },
            xAxis: {
                type: 'datetime',
                title: {
                    text: ""
                }
            },
            yAxis: {
                title: {
                    text: "Odometer"
                }
            },
            series: [{
                name: 'Odometer',
                data: processed_odometer
            }]
        });
    //    console.log(processed_burgers);
    });
});
